Package org.apache.synapse.transport.passthru.util

# Class StreamingOnRequestDataSource

java.lang.Object
org.apache.synapse.transport.passthru.util.StreamingOnRequestDataSource

All Implemented Interfaces:
  `DataSource`

public class StreamingOnRequestDataSource extends Object implements DataSource
This class has a special flag, which says this is it's last use and not to cache data if it did not have done so already.

Author:
  Srinath Perera (srinath@wso2.com)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StreamingOnRequestDataSource(InputStream in)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContentType()`
  `InputStream`
  `getInputStream()`
  `String`
  `getName()`
  `OutputStream`
  `getOutputStream()`
  `void`
  `setLastUse(boolean lastUse)`
  This flag says that this is the last use of the stream, hence do not need to cache it if it has not already cached.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StreamingOnRequestDataSource

    public StreamingOnRequestDataSource(InputStream in)

- ## Method Details

  - ### getContentType

    public String getContentType()
    Specified by:
      `getContentType` in interface `DataSource`

  - ### getInputStream

    public InputStream getInputStream() throws IOException
    Specified by:
      `getInputStream` in interface `DataSource`
    Throws:
      `IOException`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `DataSource`

  - ### getOutputStream

    public OutputStream getOutputStream() throws IOException
    Specified by:
      `getOutputStream` in interface `DataSource`
    Throws:
      `IOException`

  - ### setLastUse

    public void setLastUse(boolean lastUse)
    This flag says that this is the last use of the stream, hence do not need to cache it if it has not already cached.
    Parameters:
      `lastUse` -